Bug 865091 - attempting to switch to an on-disk journal broke journaling
attempting to switch to an on-disk journal broke journaling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 15:40 EDT by Matthew Miller
Modified: 2013-08-01 07:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:25:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-10-10 15:40:08 EDT
On my F17 test system, I did:

$ mkdir /var/log/journal
$ sudo systemctl restart  systemd-journald.service

And now I get this from journalctl run as root:

Logs begin at Sat, 29 Sep 2012 09:23:21 -0400, end at Tue, 09 Oct 2012 17:30:59
-0400.
Failed to iterate through journal: Bad message
Sep 29 09:23:21 localhost.localdomain systemd-journal[313]: Journal started

This continues even as I add additional data to the log.

Is this the expected behavor? How can I diagnose it?
Comment 1 Lennart Poettering 2012-10-12 12:16:35 EDT
Hmm, probably a corrupted journal file, as a result of a non-synced disk on reboot or so. That should be mostly OK, journalctl will read it anyway as far as it can, only the incomplete end is not read.

it would be cool if you could run journalctl with the env var SYSTEMD_LOG_LEVEL=99 set, which should give you a hint which file is borked. It would be cool if you could send that specific file to me (if it doesn't contain any sensitive data...).

Most likely we should just not print an error here...
Comment 2 Matthew Miller 2012-10-12 16:56:28 EDT
(In reply to comment #1)
> Hmm, probably a corrupted journal file, as a result of a non-synced disk on
> reboot or so. That should be mostly OK, journalctl will read it anyway as
> far as it can, only the incomplete end is not read.

I literally only did the things above (um, with sudo in front of the mkdir, though), with no-reboot.

It doesn't show me things before that point (even though it does know to start back in 29 Sep 2012), and new things do not seem to be added after.


I will try to recreate with a new system over the weekend, and I'll set the env var as requested.
Comment 3 Matthew Miller 2012-10-17 10:21:37 EDT
Can't recreate on F18. Will try again with F17.
Comment 4 Fedora End Of Life 2013-07-03 23:35:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:25:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.